Main Page Widgets Namespaces Book

# Gtk::EventBox Class Reference
[Widgets]

Inheritance diagram for Gtk::EventBox:

[legend]
List of all members.

## Detailed Description

Event capturing box.

This widget adds an X Window where one does not normally appear, allowing you to capture events. It will receive any event which is specified with set_events().

This widget is generally used to add Gtk::Tooltips, button presses, and clipping to widgets derived from Gtk::Misc.

## Public Member Functions
virtual | ~EventBox ()
GtkEventBox* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkEventBox* | gobj () const
| Provides access to the underlying C GtkObject.
| EventBox ()
## Related Functions
(Note that these are not member functions.)
Gtk::EventBox* | wrap (GtkEventBox* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::EventBox::~EventBox | ( |  | ) | `[virtual]`

Gtk::EventBox::EventBox | ( |  | ) |

## Member Function Documentation

const GtkEventBox* Gtk::EventBox::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin.

GtkEventBox* Gtk::EventBox::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin.

## Friends And Related Function Documentation

Gtk::EventBox* wrap | ( | GtkEventBox* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- eventbox.h